<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage DSK
 * @since DSK 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'dsk' ), max( $paged, $page ) );

	?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
<script src="<?php bloginfo('template_directory'); ?>/owlcarousel/owl.carousel.js"></script>
<script src="<?php bloginfo('template_directory'); ?>/js/jquery.lettering.js"></script>
	
<!-- Latest compiled and minified JavaScript -->
<script src="<?php bloginfo('template_directory'); ?>/js/bootstrap.min.js"></script>
<script src="<?php bloginfo('template_directory'); ?>/js/bootstrap.bundle.min.js"></script>
	
<script src="<?php bloginfo('template_directory'); ?>/js/jquery.js"></script>
	
	

<!-- Owl Stylesheets -->
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/owlcarousel/assets/owl.carousel.min.css">
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/owlcarousel/assets/owl.theme.default.min.css">
<?php
	/* We add some JavaScript to pages with the comment form
	 * to support sites with threaded comments (when in use).
	 */
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );

	/* Always have wp_head() just before the closing </head>
	 * tag of your theme, or you will break many plugins, which
	 * generally use this hook to add elements to <head> such
	 * as styles, scripts, and meta tags.
	 */
	wp_head();
?>
<meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width">

<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="icon" href="<?php bloginfo('template_directory'); ?>/images/favicon.png" type="image/png" />
<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/images/favicon.ico" />
<link href="<?php bloginfo('template_directory'); ?>/css/all.css" rel="stylesheet">

</head>

<body>
<header class="header">
<!---<div class="top">
<div class="container">
<div class="row">
<div class="col-md-6">

</div>
<div class="col-md-6">
<div class="social">
<p>Follow Us</p>
<a href="#" target="_blank" title="Facebook"><i class="fab fa-facebook"></i></a>
<a href="#" title="Twitter"><i class="fab fa-twitter"></i></a>
<a href="#" target="_blank" title="Instagram"><i class="fab fa-instagram"></i></a>
<a href="#" title="Google Plus"><i class="fab fa-linkedin"></i></a>
</div>
</div>
</div>
</div>
</div>--->
	
	
<div class="head">
<div class="container">
<div class="row">
<div class="col-md-12" align="center">
<div class="logo"><a href="<?php echo home_url( '/' ); ?>" title=""><img src="<?php bloginfo('template_directory'); ?>/images/logo.png" alt="logo" title="" /></a></div>
</div>
<!---<div class="col-md-3">
<div class="call-top">
<a href="tell::+12345678900">
<i class="fas fa-phone-alt"></i>
<p>Call Us</p>
<h5>+ 1 234 567 89 00</h5>
</a>
</div>
</div>
<div class="col-md-3">
<div class="email-top">
<a href="mailto::info@ferrocare.com">
<i class="fas fa-envelope"></i>
<p>Email Us</p>
<h5>info@ferrocare.com</h5>
</a>
</div>
</div> --->
</div>
</div>
</div>
	
	
<div class="bottom-head">
<div class="container">
<div class="row">
<div class="col-md-12">
<div id="access"><?php wp_nav_menu( array( 'theme_location' => 'primary', 'container_class' => 'menu-header', 'menu_class' => 'nav-menu' ) ); ?></div>
</div>
</div>
</div>
</div>


</header>

<section>
<div class="main">