<?php
/**
 * Template Name: Woo Pages
 *
 * A custom page template without sidebar.
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage DSK
 * @since DSK 1.0
 */

get_header(); ?>

<div class="woopage-div">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="main-page-title"><h2><?php the_title(); ?></h2></div>
            </div>
        </div>
    </div>
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="woopage-content">
                    <div id="<?php global $post; echo $post_slug=$post->post_name;?>-page">
                        <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
                            <div id="page-<?php the_ID(); ?>">
                                <div class="entry-content">
                                    <?php the_content(); ?>
                                    <?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'dsk' ), 'after' => '</div>' ) ); ?>
                                    <?php edit_post_link( __( 'Edit', 'dsk' ), '<span class="edit-link">', '</span>' ); ?>
                                </div><!-- .entry-content -->
                            </div><!-- #post-## -->
                            <?php endwhile; // end of the loop. ?>
                    </div><!-- #content -->
                </div>
            </div>
        </div>
    </div>
</div>

<?php get_footer(); ?>
